jif.extension

## Class JifNewDel

- java.lang.Object
- - polyglot.ast.JLDel_c
  - - jif.extension.JifDel_c
    - - jif.extension.JifNewDel

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JifDel, polyglot.ast.ExprOps, polyglot.ast.JLDel, polyglot.ast.NewOps, polyglot.ast.NodeOps, polyglot.ast.ProcedureCallOps, polyglot.util.Copy<polyglot.ast.JLDel>

      public class JifNewDel
      extends JifDel_c
      implements polyglot.ast.NewOps

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Field Summary

    - ### Fields inherited from class jif.extension.JifDel_c

      `fatalExceptions`

    - ### Fields inherited from class polyglot.ast.JLDel_c

      `instance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JifNewDel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `constantValue(polyglot.ast.Lang lang)`
    `boolean` | `constantValueSet(polyglot.ast.Lang lang)`
    `polyglot.types.ClassType` | `findEnclosingClass(polyglot.types.Context c, polyglot.types.ClassType ct)`
    `polyglot.ast.TypeNode` | `findQualifiedTypeNode(polyglot.visit.AmbiguityRemover ar, polyglot.types.ClassType outer, polyglot.ast.TypeNode objectType)`
    `polyglot.ast.Expr` | `findQualifier(polyglot.visit.AmbiguityRemover ar, polyglot.types.ClassType ct)`
    `boolean` | `isConstant(polyglot.ast.Lang lang)`
    `void` | `printArgs(polyglot.util.CodeWriter w, polyglot.visit.PrettyPrinter tr)`
    `void` | `printBody(polyglot.util.CodeWriter w, polyglot.visit.PrettyPrinter tr)`
    `void` | `printQualifier(polyglot.util.CodeWriter w, polyglot.visit.PrettyPrinter tr)`
    `void` | `printShortObjectType(polyglot.util.CodeWriter w, polyglot.visit.PrettyPrinter tr)`
    `boolean` | `qualIsNeverNull()`
    `void` | `setFatalExceptions(polyglot.types.TypeSystem ts, polyglot.util.SubtypeSet fatalExceptions)` Set the exceptions thrown by this node that are treated as fatal.
    `void` | `setQualifierIsNeverNull(boolean neverNull)`
    `java.util.List<polyglot.types.Type>` | `throwTypes(polyglot.types.TypeSystem ts)` List of Types of exceptions that might get thrown.
    `void` | `typeCheckFlags(polyglot.visit.TypeChecker tc)`
    `void` | `typeCheckNested(polyglot.visit.TypeChecker tc)`

    - ### Methods inherited from class jif.extension.JifDel_c

      `buildTypes, fatalExceptions, translate`

    - ### Methods inherited from class polyglot.ast.JLDel_c

      `addDecls, buildTypesEnter, checkConstants, childExpectedType, copy, copy, copy, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, extRewrite, extRewriteEnter, extRewriteOverride, init, jl, lang, node, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, typeCheck, typeCheckEnter, typeCheckOverride, visitChild, visitChildren, visitList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JifNewDel

          public JifNewDel()

  - ### Method Detail

    - #### setQualifierIsNeverNull

          public void setQualifierIsNeverNull(boolean neverNull)

    - #### qualIsNeverNull

          public boolean qualIsNeverNull()

    - #### throwTypes

          public java.util.List<polyglot.types.Type> throwTypes(polyglot.types.TypeSystem ts)

      List of Types of exceptions that might get thrown. This differs from the method defined in New_c in that it does not throw a null pointer exception if the qualifier is guaranteed to be non-null. Always returns all declared exceptions (expected by call checker).
      Specified by:
        `throwTypes` in interface `polyglot.ast.NodeOps`
      Overrides:
        `throwTypes` in class `JifDel_c`

    - #### setFatalExceptions

          public void setFatalExceptions(polyglot.types.TypeSystem ts,
                                         polyglot.util.SubtypeSet fatalExceptions)

      Description copied from class: `JifDel_c`
      Set the exceptions thrown by this node that are treated as fatal.
      Specified by:
        `setFatalExceptions` in interface `JifDel`
      Overrides:
        `setFatalExceptions` in class `JifDel_c`

    - #### findQualifiedTypeNode

          public polyglot.ast.TypeNode findQualifiedTypeNode(polyglot.visit.AmbiguityRemover ar,
                                                             polyglot.types.ClassType outer,
                                                             polyglot.ast.TypeNode objectType)
                                                      throws polyglot.types.SemanticException

      Specified by:
        `findQualifiedTypeNode` in interface `polyglot.ast.NewOps`
      Throws:
        `polyglot.types.SemanticException`

    - #### findQualifier

          public polyglot.ast.Expr findQualifier(polyglot.visit.AmbiguityRemover ar,
                                                 polyglot.types.ClassType ct)
                                          throws polyglot.types.SemanticException

      Specified by:
        `findQualifier` in interface `polyglot.ast.NewOps`
      Throws:
        `polyglot.types.SemanticException`

    - #### typeCheckFlags

          public void typeCheckFlags(polyglot.visit.TypeChecker tc)
                              throws polyglot.types.SemanticException

      Specified by:
        `typeCheckFlags` in interface `polyglot.ast.NewOps`
      Throws:
        `polyglot.types.SemanticException`

    - #### typeCheckNested

          public void typeCheckNested(polyglot.visit.TypeChecker tc)
                               throws polyglot.types.SemanticException

      Specified by:
        `typeCheckNested` in interface `polyglot.ast.NewOps`
      Throws:
        `polyglot.types.SemanticException`

    - #### printQualifier

          public void printQualifier(polyglot.util.CodeWriter w,
                                     polyglot.visit.PrettyPrinter tr)

      Specified by:
        `printQualifier` in interface `polyglot.ast.NewOps`

    - #### printArgs

          public void printArgs(polyglot.util.CodeWriter w,
                                polyglot.visit.PrettyPrinter tr)

      Specified by:
        `printArgs` in interface `polyglot.ast.ProcedureCallOps`

    - #### printBody

          public void printBody(polyglot.util.CodeWriter w,
                                polyglot.visit.PrettyPrinter tr)

      Specified by:
        `printBody` in interface `polyglot.ast.NewOps`

    - #### findEnclosingClass

          public polyglot.types.ClassType findEnclosingClass(polyglot.types.Context c,
                                                             polyglot.types.ClassType ct)

      Specified by:
        `findEnclosingClass` in interface `polyglot.ast.NewOps`

    - #### constantValueSet

          public boolean constantValueSet(polyglot.ast.Lang lang)

      Specified by:
        `constantValueSet` in interface `polyglot.ast.ExprOps`

    - #### isConstant

          public boolean isConstant(polyglot.ast.Lang lang)

      Specified by:
        `isConstant` in interface `polyglot.ast.ExprOps`

    - #### constantValue

          public java.lang.Object constantValue(polyglot.ast.Lang lang)

      Specified by:
        `constantValue` in interface `polyglot.ast.ExprOps`

    - #### printShortObjectType

          public void printShortObjectType(polyglot.util.CodeWriter w,
                                           polyglot.visit.PrettyPrinter tr)

      Specified by:
        `printShortObjectType` in interface `polyglot.ast.NewOps`